package com.example.api.core.data.core

import com.example.api.core.data.dto.AuthUserResponseDto
import com.example.api.core.data.dto.CatalogDto
import com.example.api.core.data.dto.CatalogItemDto
import com.example.api.core.data.dto.ProjectsDto
import com.example.api.core.data.dto.RegisterUserDto
import com.example.api.core.data.dto.SalesAndNewsDto
import com.example.api.core.data.dto.SignInUserDto
import com.example.api.core.data.dto.UserResponseDto
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path
import retrofit2.http.Query

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 27.05.2025
 * */

/**
 * общий сервис для запросов
* */
internal interface ApiService {

    @POST("collections/users/records")
    suspend fun register(@Body registerUserDto: RegisterUserDto): UserResponseDto

    @POST("collections/users/auth-with-password")
    suspend fun auth(@Body signInUserDto: SignInUserDto): AuthUserResponseDto

    @GET("collections/project/records")
    suspend fun projects(): ProjectsDto

    @GET("collections/news/records")
    suspend fun salesAndNews(): SalesAndNewsDto

    @GET("collections/products/records")
    suspend fun catalog(): CatalogDto

    @GET("collections/products/records")
    suspend fun catalog(@Query("filter") filter: String): CatalogDto

    @GET("collections/products/records/{id_product}")
    suspend fun productDescription(@Path("id_product") productId: String): CatalogItemDto
}