package com.example.api

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import kotlinx.coroutines.withContext

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 27.05.2025
 * */

abstract class BaseViewModel : ViewModel() {

    protected fun<T> handle(action: suspend () -> T, ui: (T) -> Unit) {
        viewModelScope.launch(Dispatchers.IO) {
            val result = action.invoke()

            withContext(Dispatchers.Main) {
                ui.invoke(result)
            }
        }
    }
}