package com.example.api

import com.example.api.core.domain.FetchResult

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 27.05.2025
 * */

class FetchResultMapper<T> : FetchResult.Mapper<T, FetchResultUiState<T>> {
    override fun mapSuccess(data: T): FetchResultUiState<T> {
        return FetchResultUiState.Success(data)
    }

    override fun mapError(data: T?, message: String): FetchResultUiState<T> {
        return FetchResultUiState.Error(data, message)
    }
}